# Class: Dropdown

## M_.Dropdown()

Create a dropdown

## Constructor

#### new Dropdown()

##### Properties:

Name | Type | Description
--- | --- | ---
`destroyOnHide` | type |
`alignTo` | type |
`offsetTop` | type |
`offsetLeft` | type |
`container` | type |
`constraints` | type |
`autoSize` | type |
`autoShow` | type |
`items` | type |
`html` | type |
`alwaysDropdownBelow` | type |

### Extends

- M_.Outlet

### Methods

#### (static) closeAllDropdown() → {type}

##### Returns:

Type
  type

#### create() → {type}

Overrides:
  - M_.Outlet#create

##### Returns:

Type
  type

#### destroy() → {type}

Overrides:
  - M_.Outlet#destroy

##### Returns:

Type
  type

#### findEl(selector) → {jQuery}

Search a class or selector in the container, like $.find()

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | string |

Inherited From:
  - M_.Outlet#findEl

##### Returns:

Type
  jQuery

#### getEl() → {jquery}

Return jEl element. Generally the main object.

Inherited From:
  - M_.Outlet#getEl

##### Returns:

the main jQuery element

Type
  jquery

#### hide() → {type}

##### Returns:

Type
  type

#### isVisible() → {Boolean}

##### Returns:

Type
  Boolean

#### realign() → {type}

##### Returns:

Type
  type

#### setItems()

##### Parameters:

Type | Description
--- | ---
type |

#### show() → {type}

##### Returns:

Type
  type

#### showOrHide() → {type}

##### Parameters:

Type | Description
--- | ---
type |

##### Returns:

Type
  type